[law]
id = 10002296
name = "StGB"

[[law.classifiers]]
name = "Teil"
is_root = true
match_function = "contains"

[[law.classifiers]]
name = "Abschnitt"
is_root = false
match_function = "contains"

[parser]
remove_strings = [
	"<i>", "</i>", 
	"<n>", "</n>",
	"<b>", "</b>",
	"<super>", "</super>",
	"""<abstand ct="text" halign="l" />"""
]

[[parser.replace_rules]]
find = """<ueberschrift typ="g2" ct="text" halign="c">Erster Abschnitt</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">Erster Abschnitt</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="g1min" ct="text" halign="c">Allgemeine Bestimmungen</ueberschrift>"""
replace_with = """<ueberschrift typ="g2" ct="text" halign="c">Allgemeine Bestimmungen</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="para" ct="text" halign="c">1. Verwertungsrechte.</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">1. Verwertungsrechte.</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="g1min" ct="text" halign="c">Strafbare Handlungen gegen Leib und Leben</ueberschrift>"""
replace_with = """<ueberschrift typ="g2" ct="text" halign="c">Strafbare Handlungen gegen Leib und Leben</ueberschrift>"""

[[parser.replace_rules]]
find = "<gdash />"
replace_with = "-"

